close

[Solved] Composer update: The requested PHP extension ext-http missing

Hello Guys, How are you all? Hope You all Are Fine. Today I get the following error Composer update: The requested PHP extension ext-http missing in php. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How Composer update: The requested PHP extension ext-http missing Error Occurs?

Today I get the following error Composer update: The requested PHP extension ext-http missing in php.

How To Solve Composer update: The requested PHP extension ext-http missing Error ?

  1. How To Solve Composer update: The requested PHP extension ext-http missing Error ?

    To Solve Composer update: The requested PHP extension ext-http missing Error For those who encountered with this problem:
    - The requested PHP extension ext-http * is missing from your system.

  2. Composer update: The requested PHP extension ext-http missing

    To Solve Composer update: The requested PHP extension ext-http missing Error For those who encountered with this problem:
    - The requested PHP extension ext-http * is missing from your system.

Solution 1

Had the same problem in composer.json file. Also discovered, that I have an "ext-http": "*". To solve this problem just delete the "ext-http": "*" and try to install package again. Worked for me, hope for you too 🙂

Solution 2

For those who encountered with this problem:

- The requested PHP extension ext-http * is missing from your system.

The solution is just to install PHP extension:

sudo apt install php-pecl-http

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read

Leave a Comment